﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_StockPipelineInquiryScript")
<div class="content">
	<table style="width: 100%">
		<tr>
			<td style="width:100%;border:1px solid black;padding:7px;">
				<table width="100%">
					<tr style="height:25px">
						<td style="width: 5%">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Part No";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 20%">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_PART_NO";
                            settings.Properties.ClientSideEvents.Init = "SetFocus";
                            settings.Width = 180;
                            settings.Properties.MaxLength = 16;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";                                
							}
							).GetHtml()
						</td>
						<td style="width: 5%">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Supplier";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 20%">
                            @Html.DevExpress().ComboBox(
                            combo =>
                            {
                                combo.Name = "I_SUPPLIER";
                                combo.Width = 180;
                                combo.SelectedIndex = -1;
                                combo.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                combo.CallbackRouteValues = new { Controller = "StockPipelineInquiry", Action = "getCombobox" };
                                combo.Properties.TextField = "COMBO_LABEL";
                                combo.Properties.ValueField = "COMBO_VALUE";
                            }).BindList(ViewData["SUPPLIER_CD"]).GetHtml()
						</td>
						<td style="width: 5%">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "*Date From";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%">
							@Html.DevExpress().DateEdit(
							settings =>
							{
							settings.Name = "I_ORDER_DATE_FROM";
                            settings.Width = 180;
							settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
							settings.ReadOnly = false;
							settings.Properties.UseMaskBehavior = true;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
							settings.Properties.ClientSideEvents.ValueChanged = "Order_Date_OnChanged";
							}).GetHtml()
						</td>
						<td style="width: 5%;text-align: center; " >
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "*To";
							Label.Width = 10;
							}).GetHtml()
						</td>
						<td style="width: 20%">
							@Html.DevExpress().DateEdit(
							settings =>
							{
							settings.Name = "I_ORDER_DATE_TO";
                            settings.Width = 180;
							settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
							settings.ReadOnly = false;
							settings.Properties.UseMaskBehavior = true;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
							}).GetHtml()
						</td>
					</tr>
					<tr style="height:40px">
						<td style="width: 5%">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Flag";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 20%">
                            
                            @Html.DevExpress().ComboBox(
                            combo =>
                            {
                                combo.Name = "I_FLAG";
                                combo.Width = 180;
                                combo.SelectedIndex = -1;
                                combo.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                combo.CallbackRouteValues = new { Controller = "StockPipelineInquiry", Action = "getCombobox" };
                                combo.Properties.TextField = "COMBO_LABEL";
                                combo.Properties.ValueField = "COMBO_VALUE";
                            }).BindList(ViewData["STOCK_PIPELINE_INQUIRY_FLAG"]).GetHtml()

						</td>
						<td style="width: 5%">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Sub Supplier";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 20%">
                            @Html.DevExpress().ComboBox(
                            combo =>
                            {
                                combo.Name = "I_SUB_SUPPLIER";
                                combo.Width = 180;
                                combo.SelectedIndex = -1;
                                combo.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                combo.CallbackRouteValues = new { Controller = "StockPipelineInquiry", Action = "getSubSupplier" };
                                combo.Properties.TextField = "COMBO_LABEL";
                                combo.Properties.ValueField = "COMBO_VALUE";
                            }).BindList(ViewData["SUB_SUPPLIER_CD"]).GetHtml()
						</td>
						<td style="width: 5%">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Shift";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%">
                            @Html.DevExpress().ComboBox(
                            combo =>
                            {
                                combo.Name = "I_SHIFT";
                                combo.Width = 180;
                                combo.SelectedIndex = -1;
                                combo.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                combo.CallbackRouteValues = new { Controller = "StockPipelineInquiry", Action = "getCombobox" };
                                combo.Properties.TextField = "COMBO_LABEL";
                                combo.Properties.ValueField = "COMBO_VALUE";
                            }).BindList(ViewData["SHIFT"]).GetHtml()

						</td>
					</tr>
		            <tr>
			            <td colspan="8">
				            <hr />
			            </td>
		            </tr>
                    <tr>
						<td colspan="4">
							<table>
								<tr>
									<td>
										@Html.DevExpress().Button(edtSetting =>
										{
										edtSetting.Name = "cmdDownload";
										edtSetting.Width = 80;
										edtSetting.Text = "Download";
										edtSetting.ClientSideEvents.Click = "DownloadData";
										edtSetting.Style.Add("display", "inline-table");
										edtSetting.UseSubmitBehavior = true;
										//            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "DOWNLOAD");
										}).GetHtml()
									</td>
								</tr>
							</table>
						</td>
						<td colspan="4" align="right">
							@Html.DevExpress().Button(edtSetting =>
							{
							edtSetting.Name = "cmdSearch";
							edtSetting.Width = 80;
							edtSetting.Text = "Search";
							edtSetting.ClientSideEvents.Click = "OnSearch";
							edtSetting.Style.Add("display", "inline-table");
							edtSetting.UseSubmitBehavior = true;
							//edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "SEARCH");
							}).GetHtml()
							@Html.DevExpress().Button(edtSetting =>
							{
							edtSetting.Name = "cmdClear";
							edtSetting.Width = 80;
							edtSetting.Text = "Clear";
							edtSetting.ClientSideEvents.Click = "OnClear";
							edtSetting.Style.Add("display", "inline-table");
							edtSetting.UseSubmitBehavior = true;
							//edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "CLEAR");
							}).GetHtml()
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<hr />
			</td>
		</tr>
		<tr>
			</br>
		</tr>
	</table>
</div>
<div class="content" style="min-height: 300px">
	@Html.Partial("StockPipelineInquiryGrid")
</div>